Exiv2::PreviewManager Class Reference

Class for extracting preview images from image metadata. More...

`#include <preview.hpp>`

## Public Member Functions

Constructors
| PreviewManager (const Image &image)
| Constructor.

## Accessors

PreviewPropertiesList | getPreviewProperties () const
| Return the properties of all preview images in a list sorted by preview width * height, starting with the smallest preview image.
PreviewImage | getPreviewImage (const PreviewProperties &properties) const
| Return the preview image for the given preview properties.

## Detailed Description

Class for extracting preview images from image metadata.

The documentation for this class was generated from the following files:

- preview.hpp
- preview.cpp